/*preview*/

  .image-upload-one{
    grid-area: img-u-one;
    /*display: flex;
    justify-content: flex-start;*/
    display: inline-block;
    max-width: 100%;
  }
  .image-upload-two{
    grid-area: img-u-two;
    display: flex;
    justify-content: flex-start;
  }
  .image-upload-three{
    grid-area: img-u-three;
    display: flex;
    justify-content: center;
  }
  .image-upload-four{
    grid-area: img-u-four;
    display: flex;
    justify-content: center;
  }
  .image-upload-five{
    grid-area: img-u-five;
    display: flex;
    justify-content: center;
  }
  .image-upload-six{
    grid-area: img-u-six;
    display: flex;
    justify-content: center;
  }

  .image-upload-container{
    grid-template-areas: 'img-u-one img-u-two img-u-three img-u-four img-u-five img-u-six';
    display: inline-block;
    max-width: 100%;
  }

  .image_container {
    height: 200px;
    overflow: hidden;
    margin: 10px;
  }
  .image_container img {
    height: 100%;
    width: auto;
    object-fit: cover;
    box-shadow: 0px 0px 10px;
  }
  .image_container span {
    top: 6px;
    right: 8px;
    color: red;
    font-size: 28px;
    font-weight: normal;
    cursor: pointer;
    background-color:#fff;
    height:15px;
    border-radius:10px;
    display:flex;
    align-items: center;
  }

  .image_container span:hover {
    color: black;
    transition: 0.1s ease-in;
  }

  .form-input img {
    max-width:100%;
    margin: 2px; 
    border:2px dashed #975AFF;
  }

  .imgRemove{
    bottom: 114px;
    left: 68%;
    background-color: transparent;
    border: none;
    font-size: 30px;
    outline: none;
  }
  .imgRemove::after{
    content: ' \21BA';
    color: #000;
    font-weight: 900;
    border-radius: 8px;
    cursor: pointer;
  }

  .small{
    color: #fff;
  }

  @media only screen and (max-width: 700px){
    .image-upload-container{
      grid-template-areas: 'img-u-one img-u-two img-u-three'
      'img-u-four img-u-five img-u-six';
    }
  }

/** Preview Img **/

.activated {
  background-color: #EFDEFF !important;
  color: #975AFF !important;
  border-color: #EFDEFF; 
}

.searchcontainer{
  position:relative;
}

.searchbarresult{
  background-color: #ffffff;
  color: #000000;
  position: absolute;
  overflow-y: auto;
  height: 0px;
  z-index: 2;
  box-shadow: -8px 8px 14px 0 rgba(25, 42, 70, 0.11); 
  margin-top: 5px;
}

.searchbarresult li{
 padding:10px;
}

.searchbarresult li:hover {
  cursor: pointer;
 background-color:#975AFF;
 color:white;
}

.labelclass{
  text-transform: Capitalize !important;
  font-size: 1rem;
font-weight: 400; 
color:black;
}

#productinfo{
  min-height: 300px
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
-webkit-appearance: none;
margin: 0;
}

#nopromotioncontainer , #PromotionPendingContainers ,#PromotionActivatedcontainer,#PromotionEndStock,#PromotionEndDate,#nopromotioncontainer2 , #PromotionPendingContainers2 ,#PromotionActivatedcontainer2,#PromotionEndStock2,#PromotionEndDate2, #PromotionPendingContainers3 ,#PromotionActivatedcontainer3{
  display:none;
}

#boxanimation{
  height:100px;
  width:200px;
  margin:50px auto 0px auto;
}

#wiggle{
  animation: wiggle 2s linear infinite;
}


@media only screen and (max-width: 400px) {
  .varietycss{
      display:block;
  margin-right:auto !important;
      margin-left:0px !important;
  }
  .countdowntimercss{
      font-size:16px !important;
  }
  

}

@media only screen and (max-width: 480px) {
  .mainSearchBar {
    width: 100% !important;
  }
  
  .mainSearchBar .dropdown-menu {
    transform: translate3d(-111px, 44px, 0px) !important;
  }
  
  .searchbarresult {
    max-height: 65vh !important;
  }
  
  .searchbarresult .ulsearch p {
    font-weight: 600;
    margin: 5px auto !important;
    width: 100%;
    display: block;
  }
  
  .searchbarresult .ulsearch p .searchResultProductName {
    display: block;
    text-align: center;
  }
  
  .searchbarresult .ulsearch p img {
      display: block;
      width: 150px !important;
      height: auto;
      margin: 5px auto !important;
      padding: 10px;
      border: none;
      background-color: #ffffff !important;
      border-radius: 0%;
  }
  
  .searchbarresult .ulsearch .d-flex {
    display: block !important;
    width: 100%;
    padding: 0;
    margin: 0 auto !important;
  }
}


/* Keyframes */
@keyframes wiggle {
0%, 7% {
  transform: rotateZ(0);
}
15% {
  transform: rotateZ(-15deg);
}
20% {
  transform: rotateZ(10deg);
}
25% {
  transform: rotateZ(-10deg);
}
30% {
  transform: rotateZ(6deg);
}
35% {
  transform: rotateZ(-4deg);
}
40%, 100% {
  transform: rotateZ(0);
}
}